## viva 1.0+git20140604.271f86fa51

=== CMakeLists.txt ===
# This file is part of Viva
#
# Viva is free software: you can redistribute it and/or modify it
# under the terms of the GNU Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Viva is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Public License for more details.
#
# You should have received a copy of the GNU Public License
# along with Viva. If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED (VERSION 2.8)
PROJECT(viva)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

#
# The Tupi Library written in C (particle system)
SET(LIBTUPI_HEADERS
  src/libtupi/tupi.h)
SET(LIBTUPI_SOURCES
  src/libtupi/bary.c
  src/libtupi/basic.c
  src/libtupi/dynar.c
  src/libtupi/dict.c
  src/libtupi/particle.c
  src/libtupi/box.c
  src/libtupi/cell.c
  src/libtupi/layout.c
  src/libtupi/node.c)
#
# Viva Sources
SET(VIVA_HEADERS
  src/viva/VivaWindow.h
  src/viva/VivaGraphView.h
  src/viva/VivaApplication.h
  src/viva/VivaLayoutRunner.h
  src/viva/VivaGraph.h
  src/viva/VivaRenderingThread.h)
SET(VIVA_SOURCES
  src/viva/main.cc
  src/viva/VivaWindow.cc
  src/viva/VivaGraphView.cc
  src/viva/VivaApplication.cc
  src/viva/VivaLayoutRunner.cc
  src/viva/VivaGraph.cc
  src/viva/VivaNode.cc
  src/viva/VivaRenderingThread.cc)
SET(VIVA_RESOURCES
  src/viva/VivaResource.qrc)

#
# Treemap sources
SET(TREEMAP_HEADERS
  src/vv_treemap/VTApplication.h
  src/vv_treemap/VTFrame.h
  src/vv_treemap/VTWindow.h
  src/vv_treemap/VTWidget.h)
SET(TREEMAP_SOURCES
  src/vv_treemap/main.cc
  src/vv_treemap/VTApplication.cc
  src/vv_treemap/VTFrame.cc
  src/vv_treemap/VTWindow.cc
  src/vv_treemap/VTWidget.cc
  src/vv_treemap/VTWidget+Paje.cc
  src/vv_treemap/VTWidget+Treemap.cc
  src/vv_treemap/PajeTreemap.cc)

#
# Utils (Qt-based) sources
SET(UTILS_HEADERS
  src/utils/VTSFrame.h
  src/utils/VTSWindow.h
  src/utils/QPajeTypeModel.h
  src/utils/QPajeTypeFilter.h)
SET(UTILS_SOURCES
  src/utils/VTSFrame.cc
  src/utils/VTSWindow.cc
  src/utils/QPajeTypeModel.cc
  src/utils/QPajeTypeFilter.cc)

# the cmake options
OPTION(VIVA         "The Viva visualization tool (Qt4 version)" ON)
OPTION(VV_TREEMAP      "The vv_treemap visualization tool" ON)

FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGl)
FIND_PACKAGE(GLUT REQUIRED)
FIND_PACKAGE(OpenGL REQUIRED)
FIND_PACKAGE(LibConfig REQUIRED)
FIND_PACKAGE(PajeNG REQUIRED)

#
# VIVA
#
IF(VIVA)
  QT4_WRAP_CPP(VIVA_HEADERS_MOC ${VIVA_HEADERS})
  QT4_ADD_RESOURCES(VIVA_RESOURCES_RCC ${VIVA_RESOURCES})
  INCLUDE(${QT_USE_FILE})
  ADD_DEFINITIONS(${QT_DEFINITIONS})
  INCLUDE_DIRECTORIES(viva ${PROJECT_SOURCE_DIR}/src/libtupi/)
  INCLUDE_DIRECTORIES(viva src/utils/)
  INCLUDE_DIRECTORIES(viva ${PAJENG_INCLUDE_PATH})
  LINK_DIRECTORIES (${PAJENG_LIBRARY_PATH})

  ADD_EXECUTABLE(viva
    ${LIBTUPI_SOURCES}
    ${VIVA_SOURCES}
    ${VIVA_HEADERS_MOC}
    ${VIVA_RESOURCES_RCC})
  TARGET_LINK_LIBRARIES(viva ${QT_LIBRARIES})
  TARGET_LINK_LIBRARIES(viva ${GLUT_glut_LIBRARY})
  TARGET_LINK_LIBRARIES(viva ${OPENGL_gl_LIBRARY})
  TARGET_LINK_LIBRARIES(viva ${OPENGL_glu_LIBRARY})
  TARGET_LINK_LIBRARIES(viva ${LIBCONFIG_LIBRARIES})
  TARGET_LINK_LIBRARIES(viva paje)
  TARGET_LINK_LIBRARIES(viva pajeutils)
  TARGET_LINK_LIBRARIES(viva viva_utils_library)
  INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/viva DESTINATION bin)
ENDIF(VIVA)

#
# TREEMAP
#
IF(VV_TREEMAP)
  QT4_WRAP_CPP(TREEMAP_HEADERS_MOC ${TREEMAP_HEADERS})
  QT4_ADD_RESOURCES(TREEMAP_RESOURCES_RCC ${TREEMAP_RESOURCES})
  INCLUDE(${QT_USE_FILE})
  ADD_DEFINITIONS(${QT_DEFINITIONS})
  INCLUDE_DIRECTORIES(vv_treemap ${PAJENG_INCLUDE_PATH})
  INCLUDE_DIRECTORIES(vv_treemap src/utils/)
  LINK_DIRECTORIES (${PAJENG_LIBRARY_PATH})

  ADD_EXECUTABLE(vv_treemap ${TREEMAP_SOURCES} ${TREEMAP_HEADERS_MOC} ${TREEMAP_RESOURCES_RCC})
  TARGET_LINK_LIBRARIES(vv_treemap ${QT_LIBRARIES})
  TARGET_LINK_LIBRARIES(vv_treemap ${GLUT_glut_LIBRARY})
  TARGET_LINK_LIBRARIES(vv_treemap ${OPENGL_gl_LIBRARY})
  TARGET_LINK_LIBRARIES(vv_treemap ${OPENGL_glu_LIBRARY})
  TARGET_LINK_LIBRARIES(vv_treemap paje)
  TARGET_LINK_LIBRARIES(vv_treemap pajeutils)
  TARGET_LINK_LIBRARIES(vv_treemap viva_utils_library)
  INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/vv_treemap DESTINATION bin)  
ENDIF(VV_TREEMAP)

#
# Utils
#
QT4_WRAP_CPP(UTILS_HEADERS_MOC ${UTILS_HEADERS})
ADD_LIBRARY(viva_utils_library SHARED ${UTILS_SOURCES} ${UTILS_HEADERS_MOC})
SET_TARGET_PROPERTIES(viva_utils_library PROPERTIES OUTPUT_NAME vivautils)
INSTALL(TARGETS viva_utils_library DESTINATION lib)
INSTALL(FILES ${UTILS_HEADERS} DESTINATION include)

=== debian/changelog ===
viva (1.0+git20140604.271f86fa51-1) unstable; urgency=medium

  [ Martin Quinson ]
  * Initial release (Closes: #698238)

  [ Lucas Nussbaum ]
  * Further packaging work for initial upload.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 04 Jun 2014 09:08:57 +0200

=== debian/control ===
Source: viva
Section: devel
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 9.0.0), chrpath,
  libboost-dev, libconfig++-dev, libconfig8-dev, libgtk2.0-dev, freeglut3-dev,
  pajeng, libpajeutils-dev, libpaje-dev, cmake, libqt4-dev, libqt4-opengl-dev
Standards-Version: 3.9.5
Homepage: https://github.com/schnorr/viva
Vcs-Git: git://anonscm.debian.org/collab-maint/viva.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viva.git;a=summary

Package: viva
Architecture: any
Multi-Arch: foreign
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: alternative visualization techniques for analysis of paje trace files
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap

Package: libvivautils1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for visualization of trace files
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap
 .
 This package contains a shared library gathering common utility functions.

Package: libvivautils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 libvivautils1 (= ${binary:Version})
Description: library for visualization of trace files (development files)
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap
 .
 This package contains development files (headers, etc.) for libvivautils.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DH_OPTIONS=

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
libdir := /usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ $(DH_OPTIONS)

.PHONE: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/tmp/usr/bin/viva
	chrpath -d debian/tmp/usr/bin/vv_treemap
	mkdir -p debian/tmp$(libdir)
	mv debian/tmp/usr/lib/libvivautils* debian/tmp$(libdir)

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

clean:
	dh clean $(DH_OPTIONS)
	$(RM) -r build
	$(RM) -r stamp-*
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = https://github.com/schnorr/viva.git

get-orig-source::
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
	        git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
	        git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

## viva 1.1+git20150820.1a3d1f680f

=== CMakeLists.txt ===
--- 
+++ 
@@ -84,12 +84,18 @@
 # the cmake options
 OPTION(VIVA         "The Viva visualization tool (Qt4 version)" ON)
 OPTION(VV_TREEMAP      "The vv_treemap visualization tool" ON)
+OPTION(VIVA_DOC "Generate viva documentation" OFF)
 
 FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGl)
 FIND_PACKAGE(GLUT REQUIRED)
 FIND_PACKAGE(OpenGL REQUIRED)
 FIND_PACKAGE(LibConfig REQUIRED)
 FIND_PACKAGE(PajeNG REQUIRED)
+
+#
+# Utils
+#
+QT4_WRAP_CPP(UTILS_HEADERS_MOC ${UTILS_HEADERS})
 
 #
 # VIVA
@@ -108,7 +114,9 @@
     ${LIBTUPI_SOURCES}
     ${VIVA_SOURCES}
     ${VIVA_HEADERS_MOC}
-    ${VIVA_RESOURCES_RCC})
+    ${VIVA_RESOURCES_RCC}
+    ${UTILS_SOURCES}
+    ${UTILS_HEADERS_MOC})
   TARGET_LINK_LIBRARIES(viva ${QT_LIBRARIES})
   TARGET_LINK_LIBRARIES(viva ${GLUT_glut_LIBRARY})
   TARGET_LINK_LIBRARIES(viva ${OPENGL_gl_LIBRARY})
@@ -116,7 +124,6 @@
   TARGET_LINK_LIBRARIES(viva ${LIBCONFIG_LIBRARIES})
   TARGET_LINK_LIBRARIES(viva paje)
   TARGET_LINK_LIBRARIES(viva pajeutils)
-  TARGET_LINK_LIBRARIES(viva viva_utils_library)
   INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/viva DESTINATION bin)
 ENDIF(VIVA)
 
@@ -132,22 +139,21 @@
   INCLUDE_DIRECTORIES(vv_treemap src/utils/)
   LINK_DIRECTORIES (${PAJENG_LIBRARY_PATH})
 
-  ADD_EXECUTABLE(vv_treemap ${TREEMAP_SOURCES} ${TREEMAP_HEADERS_MOC} ${TREEMAP_RESOURCES_RCC})
+  ADD_EXECUTABLE(vv_treemap
+    ${TREEMAP_SOURCES}
+    ${TREEMAP_HEADERS_MOC}
+    ${TREEMAP_RESOURCES_RCC}
+    ${UTILS_SOURCES}
+    ${UTILS_HEADERS_MOC})
   TARGET_LINK_LIBRARIES(vv_treemap ${QT_LIBRARIES})
   TARGET_LINK_LIBRARIES(vv_treemap ${GLUT_glut_LIBRARY})
   TARGET_LINK_LIBRARIES(vv_treemap ${OPENGL_gl_LIBRARY})
   TARGET_LINK_LIBRARIES(vv_treemap ${OPENGL_glu_LIBRARY})
   TARGET_LINK_LIBRARIES(vv_treemap paje)
   TARGET_LINK_LIBRARIES(vv_treemap pajeutils)
-  TARGET_LINK_LIBRARIES(vv_treemap viva_utils_library)
   INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/vv_treemap DESTINATION bin)  
 ENDIF(VV_TREEMAP)
 
-#
-# Utils
-#
-QT4_WRAP_CPP(UTILS_HEADERS_MOC ${UTILS_HEADERS})
-ADD_LIBRARY(viva_utils_library SHARED ${UTILS_SOURCES} ${UTILS_HEADERS_MOC})
-SET_TARGET_PROPERTIES(viva_utils_library PROPERTIES OUTPUT_NAME vivautils)
-INSTALL(TARGETS viva_utils_library DESTINATION lib)
-INSTALL(FILES ${UTILS_HEADERS} DESTINATION include)
+if(VIVA_DOC)
+  add_subdirectory(doc)
+endif(VIVA_DOC)

=== debian/changelog ===
viva (1.1+git20150820.1a3d1f680f-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fixes FTBFS. Closes: #794704
    + Drop libvivautils1 and libvivautils-dev binary packages.
    + Generate and install man pages.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 20 Aug 2015 10:42:52 +0200

=== debian/control ===
Source: viva
Section: devel
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: asciidoc,
               chrpath,
               cmake,
               debhelper (>= 9.0.0),
               docbook-xml,
               docbook-xsl,
               freeglut3-dev,
               libboost-dev,
               libconfig++-dev,
               libconfig8-dev,
               libgtk2.0-dev,
               libpaje-dev,
               libpajeutils-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libxml2-utils,
               pajeng,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://github.com/schnorr/viva
Vcs-Git: git://anonscm.debian.org/collab-maint/viva.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viva.git;a=summary

Package: viva
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: alternative visualization techniques for analysis of paje trace files
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,16 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONE: override_dh_auto_install
+override_dh_auto_configure:
+	        dh_auto_configure -- -DVIVA_DOC=ON
+
+.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
-	chrpath -d debian/tmp/usr/bin/viva
-	chrpath -d debian/tmp/usr/bin/vv_treemap
-	mkdir -p debian/tmp$(libdir)
-	mv debian/tmp/usr/lib/libvivautils* debian/tmp$(libdir)
-
-.PHONY: override_dh_shlibdeps
-override_dh_shlibdeps:
-	dh_shlibdeps -a -- --warnings=7
+	chrpath -d debian/viva/usr/bin/viva
+	chrpath -d debian/viva/usr/bin/vv_treemap
+	mkdir debian/viva/usr/share
+	mv debian/viva/usr/man debian/viva/usr/share/man
 
 .PHONY: override_dh_install
 override_dh_install:

## viva 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,11 +71,13 @@
 #
 # Utils (Qt-based) sources
 SET(UTILS_HEADERS
+  src/utils/PajeThreadReader.h
   src/utils/VTSFrame.h
   src/utils/VTSWindow.h
   src/utils/QPajeTypeModel.h
   src/utils/QPajeTypeFilter.h)
 SET(UTILS_SOURCES
+  src/utils/PajeThreadReader.cc
   src/utils/VTSFrame.cc
   src/utils/VTSWindow.cc
   src/utils/QPajeTypeModel.cc

=== doc/CMakeLists.txt ===
cmake_policy(SET CMP0050 OLD)
add_custom_target(man ALL)
find_package(ASCIIDoc REQUIRED)

foreach (_INPUT viva.1.txt vv_treemap.1.txt)
  string(REPLACE "." ";" LIST ${_INPUT})
  list(REMOVE_ITEM LIST "txt")
  list(GET LIST 0 1 VAR)
  string(REGEX REPLACE ";" "." _OUTPUT "${VAR}")

  add_custom_command(
    TARGET man
    SOURCE  ${CMAKE_CURRENT_SOURCE_DIR}/${_INPUT}
    COMMAND ${A2X_EXECUTABLE} --doctype manpage --format manpage ${CMAKE_CURRENT_SOURCE_DIR}/${_INPUT} -D ${CMAKE_CURRENT_BINARY_DIR}
    OUTPUTS ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT}
    )

  add_custom_command(
    TARGET man
    SOURCE man
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT}
    )

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT} DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)

endforeach(_INPUT)

=== debian/changelog ===
viva (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update libconfig-dev build dependency. Closes: #881367.
  * Bump standards version.
  * Set priority to optional.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Nov 2017 16:29:22 +0100

viva (1.2-1) unstable; urgency=medium

  * New upstream release
    - upstream dropped the vivautils package (so remove our patch)
    - Depend on paje (>= 1.3.4) which is the one dropping libpajeutils
      Some code of that lib got integrated into Viva.
  * Fix lintian issues:
    - pre-depends-directly-on-multiarch-support, as advised by lintian
    - build-depends-on-1-revision libpaje-dev (>= 1.3.4-1)
  * d/control: Bump standard version to 3.9.8 (no other change)
  * Do not build-depend in libpajeutils-dev, as it does not exist
    anymore (Closes: #829124).
  * d/p/no-pajeutils: drop a remaining dependency on that lib in the code

 -- Martin Quinson <mquinson@debian.org>  Tue, 30 Aug 2016 22:25:04 +0200

=== debian/control ===
Source: viva
Section: devel
Priority: optional
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 9.0.0), chrpath,
  libboost-dev, libconfig++-dev, libconfig-dev, libgtk2.0-dev, freeglut3-dev,
  pajeng, libpaje-dev (>= 1.3.4), cmake, libqt4-dev, libqt4-opengl-dev
Standards-Version: 4.1.1
Homepage: https://github.com/schnorr/viva
Vcs-Git: git://anonscm.debian.org/collab-maint/viva.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/viva.git;a=summary

Package: viva
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: alternative visualization techniques for analysis of paje trace files
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap

=== debian/rules ===
--- 
+++ 
@@ -6,26 +6,22 @@
 
 DH_OPTIONS=
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-libdir := /usr/lib/$(DEB_HOST_MULTIARCH)
-
 %:
 	dh $@ $(DH_OPTIONS)
 
-override_dh_auto_configure:
-	        dh_auto_configure -- -DVIVA_DOC=ON
-
-.PHONY: override_dh_auto_install
+.PHONE: override_dh_auto_install
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install 
 	chrpath -d debian/viva/usr/bin/viva
 	chrpath -d debian/viva/usr/bin/vv_treemap
-	mkdir debian/viva/usr/share
-	mv debian/viva/usr/man debian/viva/usr/share/man
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --list-missing
+.PHONY: override_dh_shlibdeps
+override_dh_shlibdeps:
+	dh_shlibdeps -a -- --warnings=7
+
+#.PHONY: override_dh_install
+#override_dh_install:
+#	dh_install --fail-missing --sourcedir=debian/viva
 
 clean:
 	dh clean $(DH_OPTIONS)

=== debian/watch ===
version=3
https://github.com/schnorr/viva/tags .*/viva-(\d[\d\.]+)\.tar\.gz
